//
// C++ Implementation: clientstream_test
//
// Description: 
//
//
// Author: Kopete Developers <kopete-devel@kde.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef clientstream_test_h
#define clientstream_test_h

#include <tqglobal.h>
#include <tqapplication.h>
#include <tqtimer.h>

#include "gwclientstream.h"
#include "gwconnector.h"
#include <qca.h>
#include "tqcatlshandler.h"
#include "requestfactory.h"
#include "request.h"
#include "usertransfer.h"

#include "coreprotocol.h"

#define TQT_FATAL_ASSERT 1

class ClientStreamTest : public TQApplication
{
Q_OBJECT
  
public:
	ClientStreamTest(int argc, char ** argv);
	
	~ClientStreamTest();

public slots:
	void slotDoTest();
	
	void slotConnected();
	
	void slotWarning(int warning);

	void slotsend(int layer);
	void slotTLSHandshaken();
	
private:
	KNetworkConnector *myConnector;
	TQCA::TLS *myTLS;
	TQCATLSHandler *myTLSHandler;
	ClientStream *myTestObject;
};

#endif
